Closed Bug 1272751 Opened 3 years ago Closed 3 years ago

[e10s] Remove block of GTK+ 3.20+ from e10s on beta

Categories

(Core :: Widget: Gtk, defect, P1)

47 Branch
Unspecified
Linux
defect

Tracking

()

RESOLVED FIXED
mozilla49
Tracking Status
e10s + ---
firefox48 --- fixed
firefox49 --- fixed

People

(Reporter: Felipe, Assigned: Felipe)

References

Details

Attachments

(1 file)

Now that bug 1264454 has been fixed, we can remove the block added for GTK+ 3.20+ on bug 1266213.

Note: the block is only active on beta, but I don't plan on uplifting this to 47. So the goal is to uplift this to 48 (aurora), so that the block is removed when 48 hits beta.
Comment on attachment 8752962 [details]
MozReview Request: Bug 1272751 - Remove block of GTK+ 3.20+ from e10s on release builds. r=jimm

https://reviewboard.mozilla.org/r/52870/#review49980
Attachment #8752962 - Flags: review?(jmathies) → review+
Comment on attachment 8752962 [details]
MozReview Request: Bug 1272751 - Remove block of GTK+ 3.20+ from e10s on release builds. r=jimm

Approval Request Comment
[Feature/regressing bug #]: gtk 3.20 top crasher with e10s has been fixed, so now we can remove the block of e10s on it
[User impact if declined]: users of RELEASE_BUILDs (i.e., beta) with gtk 3.20 won't be able to run e10s
[Describe test coverage new/current, TreeHerder]: landed on inbound
[Risks and why]: users will again be able to run gtk 3.20 with e10s, so we could discover new bugs. However, this block was never active on non-release builds, so nightly and aurora users have always been running e10s. Also this block was only in effect for 3 to 4 weeks.
The plan is to just uplift this to aurora and let it roll to the next beta
[String/UUID change made/needed]: none
Attachment #8752962 - Flags: approval-mozilla-aurora?
tracking-e10s: --- → +
Priority: -- → P1
https://hg.mozilla.org/mozilla-central/rev/5bfa8bdba06c
Status: ASSIGNED → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla49
Comment on attachment 8752962 [details]
MozReview Request: Bug 1272751 - Remove block of GTK+ 3.20+ from e10s on release builds. r=jimm

gtk3 & e10s, taking it
Attachment #8752962 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
Blocks: 1278356
You need to log in before you can comment on or make changes to this bug.